Gem::Specification.new do |s|
  s.name          = 'logstash-input-ngc'
  s.version       = '0.1.1'
  s.licenses      = ['Apache-2.0']
  s.summary       = 'summary'
  s.description   = 'description'
  s.homepage      = 'http://example.com'
  s.authors       = ['Chris Fischer']
  s.email         = 'chris.fischer36@gmail.com'
  s.require_paths = ['lib']

  # Files
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','CONTRIBUTORS','Gemfile','LICENSE','NOTICE.TXT']
   # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "input" }

  # Gem dependencies
  s.add_runtime_dependency "logstash-core-plugin-api", "~> 2"
  s.add_runtime_dependency "stud", "~> 0.0.22"
  s.add_runtime_dependency "logstash-codec-json", "~> 3"
  s.add_runtime_dependency "rufus-scheduler", "~> 3"

  s.add_development_dependency "logstash-devutils", "~> 1"
  s.add_development_dependency "timecop", "~> 0"
end
